> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the metric weights

> Returns a list of metric weights used in the system.



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /resources/weights/metrics
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /resources/weights/metrics:
    get:
      tags:
        - Resources
      summary: Get the metric weights
      description: Returns a list of metric weights used in the system.
      operationId: get_metric_weights_resources_weights_metrics_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MetricWeight'
                type: array
                title: Response Get Metric Weights Resources Weights Metrics Get
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    MetricWeight:
      properties:
        metric_section_type:
          $ref: '#/components/schemas/MetricSectionType'
          description: The section or category of the metricfor calculating the total score
        metric_type:
          $ref: '#/components/schemas/MetricType'
          description: The type of the measured metric for calculating the total score
        value:
          anyOf:
            - type: number
            - type: 'null'
          title: Value
          description: >-
            Numeric value of the metric type, typically represented as a
            fraction or percentage
          examples:
            - 0.15
            - 0.1
            - 0.1
            - 0.1
      type: object
      required:
        - metric_section_type
        - metric_type
      title: MetricWeight
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    MetricSectionType:
      type: string
      enum:
        - brief_cash_flows_profile
        - cash_strength
        - debt_repayment_capacity_cushion
        - fixed_assets_efficiency
        - profitability
        - production_offtake_indicator
        - riskiness_of_net_operating_cash_flows
        - short_term_liquidity_and_working_capital
        - solvency
        - sustenance_of_the_business_growth_thriving
        - working_capital_operating_efficiency
      title: MetricSectionType
    MetricType:
      type: string
      enum:
        - approximate_repayment_period
        - average_balance
        - average_inventory_holding_days
        - average_trade_payable_days
        - average_trade_receivables_days
        - cap_exp
        - cash_flow_efficiency_1
        - cash_flow_efficiency_2
        - cash_flows_from_financing_activities
        - cash_flows_from_investing_activities
        - cash_flows_from_operating_activities
        - cop
        - cpltd_fcf_coverage
        - current_ratio
        - dscr
        - ebit_margin
        - ebitda_margin
        - ending_balance
        - financial_leverage
        - fixed_assets_productivity_ratio
        - fixed_assets_turnover_ratio
        - free_cash_flow
        - gross_profit_margin
        - higher_financial_leverage_and_higher_operating_leverage
        - inventory_turnover_ratio
        - iscr
        - margin_money_contribution_to_ace
        - margin_money_contribution_to_nwc
        - margin_money_contribution_to_tangible_fixed_assets
        - margin_money_contribution_to_total_assets
        - margin_money_in_nwc
        - net_profit_margin
        - net_working_capital_cycle
        - operating_leverage
        - quick_ratio
        - roace
        - short_term_debt_cpltd_to_free_cash_flow
        - total_balance_sheet_leverage
      title: MetricType
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````